$(function()
{
    $.setAjaxForm('#grantForm');
    
    $('#dept').change(function()
    {
        var deptID = $(this).val();
        getDeptUserList(deptID);
        getDeptScore(deptID);
    });

    $('#dept').change();
})

function getDeptUserList(deptID)
{
    $('#account').parent().load(createLink('sys.score', 'ajaxGetDeptUser', 'deptID=' + deptID), function()
    {
        $('#account').chosen();
    }); 
}

function getDeptScore(deptID)
{
    $.getJSON(createLink('score', 'ajaxGetDeptScore', 'deptID=' + deptID), function(data)
    {
        if(data.result == 'success') $('#balanceTip').text(data.tip);
    });
}
